#!/usr/bin/env python
import random
from optparse import OptionParser
usage="usage: %prog [options] > OUTFILE"
parser = OptionParser(usage=usage, version="%prog 0.1")
#parser = OptionParser()
parser.add_option("--noise", dest="noise",type="float",help="float between 0 and 1",default=0.)
parser.add_option("--nrec", dest="nrec",type="int",help="integer number of records to make",default=100)
(opt, args) = parser.parse_args()

print "#Mock data with input length 3 and target length 2."
print "#Generated with random seed"
random.seed()
for i in range(opt.nrec):
	x=-1. + 2*random.random()
	y=-1. + 2*random.random()
	z=-1. + 2*random.random()
	noise=opt.noise*(-1+2*random.random())
	a=.3*x+.3*y+.3*z+noise #a linear relation
	noise=opt.noise*(-1+2*random.random())
	b=.4*y*z+.4*x**3+noise #a nonlinear relation
	print x,y,z,a,b 
